local MinBuild, MaxBuild, Build = 40000, 0, select(4, GetBuildInfo())
if Build < MinBuild or ( MaxBuild > 0 and Build > MaxBuild ) then return end

local AddonName, AddonTable = ...
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary

local function flashShadow()
	c.flashAll(
		"yellow",
		"Shadowform",
		"Inner Fire",
		"Vampiric Embrace")
	if not s.InCombat() then
		c.flash("Dispursion", "yellow")
		return
	end
	
	c.priorityFlash(
		"white",
		"Shadow Word: Pain",
		"Empowered Shadow",
		"Mind Flay for Empowered Shadow",
		"Mind Blast at 3 Orbs",
		"Dark Evangelism",
		"Vampiric Touch",
		"Devouring Plague",
		"Dark Archangel",
		"Mind Blast",
		"Shadow Word: Death",
		"Shadowfiend",
		"Mind Flay")
end

s.Spam[AddonName] = function()
	if s.GetModuleConfig(AddonName, "spell_flashing_off") then 
		return
	end
	
	c.gcdSpell = "Shadow Word: Pain"
	c.spells = AddonTable.Spells
	c.addonName = AddonName
	c.run(flashShadow, 3, "shadow_off")
end
